LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Modules | Variables
EventTrigger.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::animations
| interfaces for SMIL animations.

## Constant Groups
constants | com::sun::star::animations::EventTrigger

## Variables
const short | NONE = 0
| Nothing triggers this event.
const short | ON_BEGIN = 1
const short | ON_END = 2
const short | BEGIN_EVENT = 3
| This event is raised when the element local timeline begins to play.
const short | END_EVENT = 4
| This event is raised at the active end of the element.
const short | ON_CLICK = 5
const short | ON_DBL_CLICK = 6
const short | ON_MOUSE_ENTER = 7
const short | ON_MOUSE_LEAVE = 8
const short | ON_NEXT = 9
| This event is raised when the user wants the presentation to go one step forward.
const short | ON_PREV = 10
| This event is raised when the user wants the presentation to go one step backward.
const short | ON_STOP_AUDIO = 11
const short | REPEAT = 12
| This event is raised when the element local timeline repeats.